Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1428348 - [abrt] poedit: pthread_cond_wait@@GLIBC_2.3.2(): poedit killed by SIGSEGV
Summary: [abrt] poedit: pthread_cond_wait@@GLIBC_2.3.2(): poedit killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: poedit
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Haïkel Guémar
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:fd79ed85abb9139813e850a0e87...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-02 11:48 UTC by dark.tmtfx
Modified: 2017-09-08 16:21 UTC (History)
6 users (show)

Fixed In Version: poedit-2.0.3-3.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-08 16:21:03 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (53.87 KB, text/plain)
2017-03-02 11:49 UTC, dark.tmtfx
no flags Details
File: cgroup (242 bytes, text/plain)
2017-03-02 11:49 UTC, dark.tmtfx
no flags Details
File: core_backtrace (9.43 KB, text/plain)
2017-03-02 11:49 UTC, dark.tmtfx
no flags Details
File: dso_list (11.15 KB, text/plain)
2017-03-02 11:49 UTC, dark.tmtfx
no flags Details
File: environ (1.71 KB, text/plain)
2017-03-02 11:49 UTC, dark.tmtfx
no flags Details
File: exploitable (82 bytes, text/plain)
2017-03-02 11:49 UTC, dark.tmtfx
no flags Details
File: limits (1.29 KB, text/plain)
2017-03-02 11:49 UTC, dark.tmtfx
no flags Details
File: maps (67.31 KB, text/plain)
2017-03-02 11:49 UTC, dark.tmtfx
no flags Details
File: mountinfo (3.70 KB, text/plain)
2017-03-02 11:49 UTC, dark.tmtfx
no flags Details
File: namespaces (102 bytes, text/plain)
2017-03-02 11:49 UTC, dark.tmtfx
no flags Details
File: open_fds (5.64 KB, text/plain)
2017-03-02 11:49 UTC, dark.tmtfx
no flags Details
File: proc_pid_status (1.11 KB, text/plain)
2017-03-02 11:49 UTC, dark.tmtfx
no flags Details
File: var_log_messages (239 bytes, text/plain)
2017-03-02 11:49 UTC, dark.tmtfx
no flags Details

Description dark.tmtfx 2017-03-02 11:48:54 UTC
Description of problem:
Since using Wayland in fedora 25, poedit crashes if I move the "Find" window, moreover It's impossible to focus the entry box to write something to search.

Version-Release number of selected component:
poedit-1.8.12-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        poedit
crash_function: pthread_cond_wait@@GLIBC_2.3.2
executable:     /usr/bin/poedit
global_pid:     3579
kernel:         4.9.12-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 10 (3 frames)
 #0 pthread_cond_wait@@GLIBC_2.3.2 at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
 #1 __gthread_cond_wait at /usr/src/debug/gcc-6.3.1-20161221/obj-x86_64-redhat-linux/x86_64-redhat-linux/libstdc++-v3/include/x86_64-redhat-linux/bits/gthr-default.h:864
 #2 std::condition_variable::wait at ../../../../../libstdc++-v3/src/c++11/condition_variable.cc:53

Potential duplicate: bug 1242209

Comment 1 dark.tmtfx 2017-03-02 11:49:05 UTC
Created attachment 1259098 [details]
File: backtrace

Comment 2 dark.tmtfx 2017-03-02 11:49:07 UTC
Created attachment 1259099 [details]
File: cgroup

Comment 3 dark.tmtfx 2017-03-02 11:49:10 UTC
Created attachment 1259100 [details]
File: core_backtrace

Comment 4 dark.tmtfx 2017-03-02 11:49:14 UTC
Created attachment 1259101 [details]
File: dso_list

Comment 5 dark.tmtfx 2017-03-02 11:49:16 UTC
Created attachment 1259102 [details]
File: environ

Comment 6 dark.tmtfx 2017-03-02 11:49:19 UTC
Created attachment 1259103 [details]
File: exploitable

Comment 7 dark.tmtfx 2017-03-02 11:49:22 UTC
Created attachment 1259104 [details]
File: limits

Comment 8 dark.tmtfx 2017-03-02 11:49:28 UTC
Created attachment 1259105 [details]
File: maps

Comment 9 dark.tmtfx 2017-03-02 11:49:31 UTC
Created attachment 1259106 [details]
File: mountinfo

Comment 10 dark.tmtfx 2017-03-02 11:49:34 UTC
Created attachment 1259107 [details]
File: namespaces

Comment 11 dark.tmtfx 2017-03-02 11:49:37 UTC
Created attachment 1259108 [details]
File: open_fds

Comment 12 dark.tmtfx 2017-03-02 11:49:40 UTC
Created attachment 1259109 [details]
File: proc_pid_status

Comment 13 dark.tmtfx 2017-03-02 11:49:42 UTC
Created attachment 1259110 [details]
File: var_log_messages

Comment 14 Fedora Update System 2017-09-01 11:53:30 UTC
poedit-2.0.3-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5948915201

Comment 15 Fedora Update System 2017-09-08 16:21:03 UTC
poedit-2.0.3-3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.